## doc-debian 3.1.2

=== FAQ/Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

manual := debian-faq

currentlang := en
currentlangcn := $(shell echo $(currentlang) | tr A-Z a-z | tr - _)

# this can and will be overridden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent faqdynamic.ent $(wildcard *.sgml)

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
# possible non-POSIX syntax below. fuck POSIX.
	cd $(PUBLISHDIR)/$(manual) && for file in *.en.html; do \
          ln -sf $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)
	ln -sf $(manual).en.txt $(PUBLISHDIR)/$(manual)/$(manual).txt
	ln -sf $(manual).en.ps $(PUBLISHDIR)/$(manual)/$(manual).ps
	ln -sf $(manual).en.pdf $(PUBLISHDIR)/$(manual)/$(manual).pdf
	@[ ! -d ru ] || $(MAKE) -C ru $@
	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
	@[ ! -d it ] || $(MAKE) -C it $@
	@[ ! -d pl ] || $(MAKE) -C pl $@

faqdynamic.ent:
	echo "<!entity docdate \"$(shell LC_ALL=C date +'%-d %B %Y')\">" > faqdynamic.ent
	if [ -f ../debian/changelog ]; then \
          echo "<!entity docversion \"` LC_ALL=C cd .. && dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//'`\">" >> faqdynamic.ent; \
        else \
          echo "<!entity docversion \"CVS\">" >> faqdynamic.ent; \
        fi

validate:
	nsgmls -ges -wall $(manual).sgml

html: $(manual).$(currentlang).html/index.$(currentlangcn).html
	@[ ! -d ru ] || $(MAKE) -C ru $@
	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
	@[ ! -d it ] || $(MAKE) -C it $@
	@[ ! -d pl ] || $(MAKE) -C pl $@

$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -c -l $(currentlang) $<
	mv $(manual).html $(manual).$(currentlang).html

text: $(manual).$(currentlang).txt
	@[ ! -d ru ] || $(MAKE) -C ru $@
	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
	@[ ! -d it ] || $(MAKE) -C it $@
	@[ ! -d pl ] || $(MAKE) -C pl $@

$(manual).$(currentlang).txt: $(sources)
	debiandoc2text -l $(currentlang) $<
	mv $(manual).txt $(manual).$(currentlang).txt

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang) $<
# TODO: rename to .$(currentlang).info?

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang) $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: $(manual).$(currentlang).%
	@[ ! -d ru ] || $(MAKE) -C ru $@
	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
	@[ ! -d it ] || $(MAKE) -C it $@
	@[ ! -d pl ] || $(MAKE) -C pl $@

clean distclean:
	rm -rf $(manual)*.$(currentlang).html
	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,out,tpt,sasp*}
	rm -f faqdynamic.ent *~ .*~ core tsa*
	@[ ! -d ru ] || $(MAKE) -C ru $@
	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
	@[ ! -d it ] || $(MAKE) -C it $@
	@[ ! -d pl ] || $(MAKE) -C pl $@

.PHONY: all publish clean distclean validate

=== debian/changelog ===
doc-debian (3.1.2) unstable; urgency=low

  * Add OPL license since that's the license of the documents published
    in the website which are reused in this package (Closes: #207549)
  * Clean up debian-faq.tpt since it's a binary file generated automatically.
  * Updated the wml documents with the latest copy from the website

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  9 Jun 2005 15:54:20 +0200

## doc-debian 3.1.3

=== FAQ/Makefile ===
--- 
+++ 
@@ -35,6 +35,9 @@
 	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
 	@[ ! -d it ] || $(MAKE) -C it $@
 	@[ ! -d pl ] || $(MAKE) -C pl $@
+	@[ ! -d es ] || $(MAKE) -C es $@
+	@[ ! -d fr ] || $(MAKE) -C fr $@
+	@[ ! -d de ] || $(MAKE) -C de $@
 
 faqdynamic.ent:
 	echo "<!entity docdate \"$(shell LC_ALL=C date +'%-d %B %Y')\">" > faqdynamic.ent
@@ -52,6 +55,9 @@
 	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
 	@[ ! -d it ] || $(MAKE) -C it $@
 	@[ ! -d pl ] || $(MAKE) -C pl $@
+	@[ ! -d es ] || $(MAKE) -C es $@
+	@[ ! -d fr ] || $(MAKE) -C fr $@
+	@[ ! -d de ] || $(MAKE) -C de $@
 
 $(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
 	rm -rf $(manual).html $(manual).$(currentlang).html
@@ -63,6 +69,9 @@
 	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
 	@[ ! -d it ] || $(MAKE) -C it $@
 	@[ ! -d pl ] || $(MAKE) -C pl $@
+	@[ ! -d es ] || $(MAKE) -C es $@
+	@[ ! -d fr ] || $(MAKE) -C fr $@
+	@[ ! -d de ] || $(MAKE) -C de $@
 
 $(manual).$(currentlang).txt: $(sources)
 	debiandoc2text -l $(currentlang) $<
@@ -82,14 +91,20 @@
 	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
 	@[ ! -d it ] || $(MAKE) -C it $@
 	@[ ! -d pl ] || $(MAKE) -C pl $@
+	@[ ! -d es ] || $(MAKE) -C es $@
+	@[ ! -d fr ] || $(MAKE) -C fr $@
+	@[ ! -d de ] || $(MAKE) -C de $@
 
 clean distclean:
 	rm -rf $(manual)*.$(currentlang).html
-	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,out,tpt,sasp*}
+	rm -f $(manual)*.{tmp,txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,out,tpt,sasp*}
 	rm -f faqdynamic.ent *~ .*~ core tsa*
 	@[ ! -d ru ] || $(MAKE) -C ru $@
 	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
 	@[ ! -d it ] || $(MAKE) -C it $@
 	@[ ! -d pl ] || $(MAKE) -C pl $@
+	@[ ! -d es ] || $(MAKE) -C es $@
+	@[ ! -d fr ] || $(MAKE) -C fr $@
+	@[ ! -d de ] || $(MAKE) -C de $@
 
 .PHONY: all publish clean distclean validate

=== doc/Makefile ===


LANGUAJE = english
# Adjust this (or create a symlink) to the location of your webml copy (if you have one)
WEBWML   = ~/debian/www/webwml/$(LANGUAJE)

FILES= \
bug-log-access.txt          bug-maint-mailcontrol.txt constitution.1.0.txt   \
bug-log-mailserver.txt      bug-reporting.txt         mailing-lists.txt      \
bug-mailserver-refcard.txt  constitution.txt          social-contract.txt    \
bug-maint-info.txt          constitution.1.1.txt      social-contract.1.0.txt

all: $(FILES)

clean:
	-rm -f $(FILES) *.html 
realclean: clean
	-rm -f *.wml

%.html: %.wml
	wml -q $< >$@

%.txt: %.html
	lynx -dump -nolist $< >$@

# These rules are conditioned to the existence of $(WEBWML)
# so that the package can be built regardless of its existence
# Warning: hack
webwmlexists := $(shell ls -d $(WEBWML) 2>/dev/null)

ifneq "$(webwmlexists)" ""
bug-log-access.wml: $(WEBWML)/Bugs/Access.wml
	cat $<  |grep -v ^# >$@
bug-log-mailserver.wml: $(WEBWML)/Bugs/server-request.wml
	cat $<  |grep -v ^# >$@
bug-mailserver-refcard.wml: $(WEBWML)/Bugs/server-refcard.wml
	cat $<  |grep -v ^# >$@
bug-maint-info.wml: $(WEBWML)/Bugs/Developer.wml
	cat $<  |grep -v ^# >$@
bug-maint-mailcontrol.wml: $(WEBWML)/Bugs/server-control.wml
	cat $<  |grep -v ^# >$@
bug-reporting.wml: $(WEBWML)/Bugs/Reporting.wml
	cat $<  |grep -v ^# >$@
constitution.wml: $(WEBWML)/devel/constitution.wml
	cat $<  |grep -v ^# >$@
constitution.1.1.wml: $(WEBWML)/devel/constitution.1.1.wml
	cat $<  |grep -v ^# >$@
constitution.1.0.wml: $(WEBWML)/devel/constitution.1.0.wml
	cat $<  |grep -v ^# >$@
mailing-lists.wml:  $(WEBWML)/MailingLists/subscribe.wml
	cat $<  |grep -v ^# >$@
social-contract.wml:  $(WEBWML)/social_contract.1.1.wml
	cat $<  |grep -v ^# >$@
social-contract.1.0.wml:  $(WEBWML)/social_contract.1.0.wml
	cat $<  |grep -v ^# >$@

mailing-lists.txt: $(WEBWML)/MailingLists/mailing-lists.txt
	cp $< $@

## the Makfile in $(WEBWML)/MailingLists needs internet access!
$(WEBWML)/MailingLists/mailing-lists.txt:
	cd $(WEBWML)/MailingLists && $(MAKE) mailing-lists.txt
endif

# Not in Debian's website:
# source-unpack.txt
# debian-manifesto

=== debian/changelog ===
doc-debian (3.1.3) unstable; urgency=low

  [ Changes by Jost van Baal ]
  * doc/Makefile: get rid of hardcoded /home/jfs, so that it works on
    joostvb's system too.  Add rule to generate mailing-lists.txt from
    webwml CVS.  Generate both social-contract.1.0 and social-contract.1.1.
    Generate all 3 versions of constitution.
  * debian/rules: replace obsolete refresh target with referral to
    new doc/Makefile by jfs.
  * debian/control: Bump Standards-Version from 3.6.1 to 3.6.2.0 (no changes
    needed.)
  * Update the CVS-managed part of the content of the files under doc/ to
    their latest versions, from cvs.debian.org webwml/webwml/english (as
    published on http://www.debian.org/) (Closes: #149401)
        - The bug-mailserver-refcard now documents the 'found' command
	  (Closes: #352175)
        - The bug-maint-info.txt file now describes sarge as released
	  and etch as unreleased (Closes: #353249)
  * Update the content of the files under FAQ/ to their latest CVS versions,
    from cvs.debian.org debian-doc/ddp/manuals.sgml/faq:
     - changes by jseidel, 2006-01-31, 2005-09-04, 2005-08-11
        * kernel.sgml: The manual page of make-kpkg is in section 1 not 8
          (compare Bug#350530).  Also changed <tt> to <file> tag for a file
          name.
        * pkg_basics.sgml: The manual page of dpkg-deb is in section 1 not 8
          (compare Bug#350523).
        * basic_defs.sgml, compat.sgml: s/RedHat/Red Hat/
        * ftparchives.sgml: fixed full-stops, thanks Luca Brivio
          <lucab83@infinito.it>
     - changes by joostvb, 2005-12-08 - 2006-01-01
        * uptodate.sgml: Add notes on dpkg --log flag, and on aptitude
          logging capabilities.  (Closes: #342790)
        * getting.sgml: add note on frozen and unstable symlinks in
          cdimages.  (Closes: #68477)
        * support.sgml: style consistency: s/email/e-mail/
        * pkgtools.sgml: refer to APT HOWTO.  (Closes: #343120)
        * support.sgml: Notes on how to report bugs that affect many
          package don't belong here, but on
          http://www.debian.org/Bugs/Reporting : don't copy information
          from that document.  (Closes: #342871)
        * compat.sgml: Add note on LSB to answer "How compatible is
          Debian".  (Closes: #342823)
        * getting.sgml: add an extra link to installmanual, next to our own
          installation instructions
        * pkgtools.sgml: when talking about automatically purging no-longer
          needed dependency packages, mention libraries too.  See Bug
          #315861
        * redist.sgml: Corel Linux and Storm Linux are (almost) gone;
          better mention Progeny Debian, Linspire, Knoppix and Ubuntu.
          Mention CDD when talking about Debian-derived distributions.  (I
          guess the note on "Linux for Hams" should probably either get
          removed, or get replaced by a link to the newer "Debian-Ham"...)
        * support.sgml: refer to relevant social contract clause when
          introducing bts
        * support.sgml: be clear about the public nature of the Debian
          mailing lists
        * support.sgml: when mentioning dwww and dhelp, mention doc-central
          too
        * basic_defs.sgml: refer to list of other docs as well as notes on
          giving feedback in intro
        * kernel.sgml, support.sgml: get rid of last remnants of pre-/u/s/d
          transition
        * customizing.sgml: mention invoke-rc.d
        * kernel.sgml: grub is now the standard bootloader on i386;
          generally there is no need to run LILO
        * uptodate.sgml: add and integrate section on aptitude
        * basic_defs.sgml: link to relevant other faq entry
        * software.sgml: typo: s/Sun icrosystems/Sun Microsystems/
        * software.sgml: mention changelog too as a place to see who has
          done what.  adjust to /u/s/d transition
        * software.sgml: mention current popular software like GIMP,
          PostgreSQL, MySQL, Mozilla, OOo, Gnumeric too
        * basic_defs.sgml: link to relevant other faq entry
        * basic_defs.sgml, faqstatic.ent: do not hardcode statistics but
          use faqstatic.ent.
        * basic_defs.sgml: More reasons to choose Debian: DFSG, Social
          Contract, # packages, # architectures. Gentoo exists, Debian is
          no longer "the only Linux distribution that is being developed
          cooperatively by many individuals through the Internet".
          (Closes: #340655)
        * basic_defs.sgml: hurd isn't "new", mention *BSD-ports too.
          (Closes: #339756)
        * basic_defs.sgml: Linux ports to non-i386 architectures are
          mature.  (Closes: #335869)
        * ftparchives.sgml: Added "How do I set up my own apt-able
          repository?".  (Closes: #333511)
        * basic_defs.sgml: Add "What is this FAQ?" question, with purposes
          of FAQ, intended audience, assumed knowledge (Closes: #333504)
     [ Javier Fernandez-Sanguino ]
     - hijack this package from Josip as he can no longer take care of 
       this package.
     - add some more TODO things.
     - changes to the FAQ, 2005-09-14 - 2005-06-06
        * software.sgml: Describe also where is qmail, ezmlm and djbdns as
          suggested by Seo Sanghyeon
        * software.sgml: Changed the sections to reflect the fact that
          non-US is now obsolete as suggested by Seo Sanghyeon
        * pkgtools.sgml: Added dlocate and apt-file as suggested by Seo
          Sanghyeon
        * basic_defs.sgml, compat.sgml, contrib.sgml, customizing.sgml,
          faqinfo.sgml, ftparchives.sgml, getting.sgml, kernel.sgml,
          nexttime.sgml, pkg_basics.sgml, pkgtools.sgml, redist.sgml,
          software.sgml, support.sgml, uptodate.sgml: Added revision
          tracking for translations
        * debian-faq.sgml, faqinfo.sgml: Updated year of (c) and added
          myself as maintainer for the FAQ


=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

tmp = $(CURDIR)/debian/tmp
docdir = $(tmp)/usr/share/doc/debian

build: stamp-build
stamp-build:
	test -d FAQ -a -f debian/rules
	cd FAQ && $(MAKE) html text ps pdf
	cd FAQ && gzip -9 debian-faq.en.txt debian-faq.en.ps debian-faq.en.pdf
	touch $@

clean:
	test -d FAQ -a -f debian/rules
	test "`id -u`" -eq 0
	cd FAQ && $(MAKE) clean
	rm -rf $(tmp)
	rm -f FAQ/*.gz stamp-build debian/files `find . -name "*~"`

refresh:
	cd doc && $(MAKE)

binary: binary-indep binary-arch

binary-arch:

binary-indep: build
	test -d FAQ -a -f debian/rules
	test "`id -u`" -eq 0
	rm -rf $(tmp)

	install -m 755 -d $(tmp)/DEBIAN $(docdir)/FAQ \
          $(tmp)/usr/share/doc-base $(tmp)/usr/share/doc/doc-debian
# Copy all the contents of doc/
	cp -p doc/* $(docdir)
# Save for the files that are used to auto-generate them
	rm -f $(docdir)/*wml
	rm -f $(docdir)/Makefile
	cd FAQ && install -m 644 debian-faq.en.txt.gz debian-faq.en.ps.gz \
                    debian-faq.en.pdf.gz debian-faq.en.html/* $(docdir)/FAQ
	cd $(docdir)/FAQ && for file in *.en.html; do \
          ln -s $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
	ln -sf debian-faq.en.txt.gz $(docdir)/FAQ/debian-faq.txt.gz
	ln -sf debian-faq.en.ps.gz $(docdir)/FAQ/debian-faq.ps.gz
	ln -sf debian-faq.en.pdf.gz $(docdir)/FAQ/debian-faq.pdf.gz

	install -m 755 debian/prerm debian/postinst $(tmp)/DEBIAN
	install -m 644 doc-base/* $(tmp)/usr/share/doc-base
	install -m 644 debian/copyright $(tmp)/usr/share/doc/doc-debian
	gzip -c9 debian/changelog > $(tmp)/usr/share/doc/doc-debian/changelog.gz
	chown -R root.root $(tmp) && chmod -R go=rX $(tmp)
	dpkg-gencontrol -isp
	dpkg --build $(tmp) ..

# The extra-package files:
	mv $(docdir)/FAQ/debian-faq.*txt.gz \
           $(docdir)/FAQ/debian-faq.*ps.gz \
           $(docdir)/FAQ/debian-faq.*pdf.gz \
             ../
	cd $(docdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *
	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -
	dpkg-distaddfile debian-faq.en.txt.gz byhand -
	dpkg-distaddfile debian-faq.en.ps.gz byhand -
	dpkg-distaddfile debian-faq.en.pdf.gz byhand -

.PHONY: build clean binary binary-arch binary-indep

## doc-debian 3.1.5

=== debian/changelog ===
doc-debian (3.1.5) unstable; urgency=high

  [ High urgency, since the previous version was shipping out of date
    versions of Debian's core documents and still refered to sarge
    as the latest releas e]
  * Updated the contents under doc/ with the latest version from the website
  * Synchronise the FAQ contents with CVS:
    - Update the numbers 
    - Add 'lenny' into the list of codenames
    - Update and expand the contents of the standard task (no longer includes
      developer tools)
    - AMD64 is already available as an official arquitecture
  * Added the latest version of the constitution and the social-contract
    as byhand files so FTP masters can update the contents of ftp-master's
    doc/ directories (Closes: 262425)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 17 Jan 2007 09:07:56 +0100

doc-debian (3.1.4) unstable; urgency=low

  [ Changes by Jost van Baal ]
  * Update software.sgml, as Java is now free (Closes: #398682)
  [ Changes by Jens Seidel ]
  * Update kernel.sgml with some markups and pending FIXMes
  [ Changes by Javier Fernandez-Sanguino ]
  * Added an item in the TODO
  * Update the Makefile to clean some files that were not removed from the
    package and broke multiple rebuilds.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 19 Nov 2006 11:46:53 +0100

=== debian/control ===
Source: doc-debian
Section: doc
Priority: standard
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Uploaders: Pierre Machard <pmachard@debian.org>, Josip Rodin <joy-packages@debian.org>
Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
Standards-Version: 3.6.2.0

Package: doc-debian
Architecture: all
Suggests: www-browser, postscript-viewer
Description: Debian Project documentation, Debian FAQ and other documents
 The Debian Project is an association of individuals who have made
 common cause to create a free operating system.
 .
 In this package, you will find:
   * Debian Linux Manifesto,
   * Constitution for the Debian Project,
   * Debian GNU/Linux Social Contract,
   * Debian Free Software Guidelines.
 .
 Additionally provided are:
   * Debian GNU/Linux Frequently Asked Questions (FAQ),
   * Debian Bug Tracking System documentation, and
   * Introduction to the Debian mailing lists.
 .
 All of these files are available at ftp://ftp.debian.org/debian/doc/ and
 mirrors thereof.

=== debian/rules ===
--- 
+++ 
@@ -42,8 +42,10 @@
 	cd $(docdir)/FAQ && for file in *.en.html; do \
           ln -s $$file $${file%$${file#$${file%.en.html}}}.html; \
         done
+# Make links for the byhands
 	ln -sf debian-faq.en.txt.gz $(docdir)/FAQ/debian-faq.txt.gz
 	ln -sf debian-faq.en.ps.gz $(docdir)/FAQ/debian-faq.ps.gz
+	ln -sf debian-faq.en.pdf.gz $(docdir)/FAQ/debian-faq.pdf.gz
 	ln -sf debian-faq.en.pdf.gz $(docdir)/FAQ/debian-faq.pdf.gz
 
 	install -m 755 debian/prerm debian/postinst $(tmp)/DEBIAN
@@ -60,9 +62,14 @@
            $(docdir)/FAQ/debian-faq.*pdf.gz \
              ../
 	cd $(docdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *
+	mv  $(docdir)/constitution.1.2.txt ../constitution.txt
+	mv  $(docdir)/social-contract.1.1.txt ../social-contract.txt 
+
 	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -
 	dpkg-distaddfile debian-faq.en.txt.gz byhand -
 	dpkg-distaddfile debian-faq.en.ps.gz byhand -
 	dpkg-distaddfile debian-faq.en.pdf.gz byhand -
+	dpkg-distaddfile constitution.txt byhand -
+	dpkg-distaddfile social-contract.txt byhand -
 
 .PHONY: build clean binary binary-arch binary-indep

## doc-debian 3.1.5ubuntu2

=== FAQ/Makefile ===
--- 
+++ 
@@ -38,6 +38,7 @@
 	@[ ! -d es ] || $(MAKE) -C es $@
 	@[ ! -d fr ] || $(MAKE) -C fr $@
 	@[ ! -d de ] || $(MAKE) -C de $@
+	@[ ! -d uk ] || $(MAKE) -C uk $@
 
 faqdynamic.ent:
 	echo "<!entity docdate \"$(shell LC_ALL=C date +'%-d %B %Y')\">" > faqdynamic.ent
@@ -58,6 +59,7 @@
 	@[ ! -d es ] || $(MAKE) -C es $@
 	@[ ! -d fr ] || $(MAKE) -C fr $@
 	@[ ! -d de ] || $(MAKE) -C de $@
+	@[ ! -d uk ] || $(MAKE) -C uk $@
 
 $(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
 	rm -rf $(manual).html $(manual).$(currentlang).html
@@ -72,6 +74,7 @@
 	@[ ! -d es ] || $(MAKE) -C es $@
 	@[ ! -d fr ] || $(MAKE) -C fr $@
 	@[ ! -d de ] || $(MAKE) -C de $@
+	@[ ! -d uk ] || $(MAKE) -C uk $@
 
 $(manual).$(currentlang).txt: $(sources)
 	debiandoc2text -l $(currentlang) $<
@@ -94,10 +97,13 @@
 	@[ ! -d es ] || $(MAKE) -C es $@
 	@[ ! -d fr ] || $(MAKE) -C fr $@
 	@[ ! -d de ] || $(MAKE) -C de $@
+	@[ ! -d uk ] || $(MAKE) -C uk $@
 
 clean distclean:
 	rm -rf $(manual)*.$(currentlang).html
-	rm -f $(manual)*.{tmp,txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,out,tpt,sasp*}
+	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,out,tpt,sasp*}
+	rm -f *.tmp
+	rm -f $(manual)*.{txt,ps,pdf}.gz
 	rm -f faqdynamic.ent *~ .*~ core tsa*
 	@[ ! -d ru ] || $(MAKE) -C ru $@
 	@[ ! -d pt_BR ] || $(MAKE) -C pt_BR $@
@@ -106,5 +112,6 @@
 	@[ ! -d es ] || $(MAKE) -C es $@
 	@[ ! -d fr ] || $(MAKE) -C fr $@
 	@[ ! -d de ] || $(MAKE) -C de $@
+	@[ ! -d uk ] || $(MAKE) -C uk $@
 
 .PHONY: all publish clean distclean validate

=== doc/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 bug-log-access.txt          bug-maint-mailcontrol.txt constitution.1.0.txt   \
 bug-log-mailserver.txt      bug-reporting.txt         mailing-lists.txt      \
 bug-mailserver-refcard.txt  constitution.txt          social-contract.txt    \
-bug-maint-info.txt          constitution.1.1.txt      social-contract.1.0.txt
+bug-maint-info.txt          constitution.1.1.txt      social-contract.1.0.txt \
+constitution.1.2.txt        social-contract.1.1.txt
 
 all: $(FILES)
 
@@ -43,6 +44,8 @@
 	cat $<  |grep -v ^# >$@
 constitution.wml: $(WEBWML)/devel/constitution.wml
 	cat $<  |grep -v ^# >$@
+constitution.1.2.wml: $(WEBWML)/devel/constitution.1.2.wml
+	cat $<  |grep -v ^# >$@
 constitution.1.1.wml: $(WEBWML)/devel/constitution.1.1.wml
 	cat $<  |grep -v ^# >$@
 constitution.1.0.wml: $(WEBWML)/devel/constitution.1.0.wml
@@ -52,6 +55,8 @@
 social-contract.wml:  $(WEBWML)/social_contract.1.1.wml
 	cat $<  |grep -v ^# >$@
 social-contract.1.0.wml:  $(WEBWML)/social_contract.1.0.wml
+	cat $<  |grep -v ^# >$@
+social-contract.1.1.wml:  $(WEBWML)/social_contract.1.0.wml
 	cat $<  |grep -v ^# >$@
 
 mailing-lists.txt: $(WEBWML)/MailingLists/mailing-lists.txt

=== debian/changelog ===
doc-debian (3.1.5ubuntu2) hardy; urgency=low

  * debian/rules:
    + Removed extra-files section to allow the upload (binary) to 
      the Ubuntu archive. It was rejected due unidentified files 
      (byhand) in changes. (LP: #187726)

 -- Miguel Ruiz <mruiz@ubuntu.com>  Mon, 11 Feb 2008 13:31:10 -0300

doc-debian (3.1.5ubuntu1) hardy; urgency=low

  * debian/control:
    + Added gs-esp as Build-Depends-Indep to fix FTBFS (LP: #187726)
    + Modified Maintainer value to match the DebianMaintainerField
      specification.

 -- Miguel Ruiz <mruiz@ubuntu.com>  Thu, 31 Jan 2008 12:56:52 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: doc-debian
 Section: doc
 Priority: standard
-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
 Uploaders: Pierre Machard <pmachard@debian.org>, Josip Rodin <joy-packages@debian.org>
-Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
+Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra, gs-esp
 Standards-Version: 3.6.2.0
 
 Package: doc-debian

=== debian/rules ===
--- 
+++ 
@@ -56,20 +56,4 @@
 	dpkg-gencontrol -isp
 	dpkg --build $(tmp) ..
 
-# The extra-package files:
-	mv $(docdir)/FAQ/debian-faq.*txt.gz \
-           $(docdir)/FAQ/debian-faq.*ps.gz \
-           $(docdir)/FAQ/debian-faq.*pdf.gz \
-             ../
-	cd $(docdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *
-	mv  $(docdir)/constitution.1.2.txt ../constitution.txt
-	mv  $(docdir)/social-contract.1.1.txt ../social-contract.txt 
-
-	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -
-	dpkg-distaddfile debian-faq.en.txt.gz byhand -
-	dpkg-distaddfile debian-faq.en.ps.gz byhand -
-	dpkg-distaddfile debian-faq.en.pdf.gz byhand -
-	dpkg-distaddfile constitution.txt byhand -
-	dpkg-distaddfile social-contract.txt byhand -
-
 .PHONY: build clean binary binary-arch binary-indep

## doc-debian 4.0.1

=== debian/changelog ===
doc-debian (4.0.1) unstable; urgency=low

  [ Changes by Joost van Baal ]
  * This package now is maintained using Subversion.
    - debian/control: Add Vcs-* headers.
    - TODO: add build instructions.
  * The Debian GNU/Linux FAQ no longer is shipped with this package, but
    via the new debian-faq source package.
    - debian/{control,postinst,prerm,changelog,copyright,rules},
      doc-base/debian-faq: remove Debian FAQ stuff.
    - debian/control: this package now Recommends debian-faq.
  * debian/control: Bump Standards-Version from 3.6.2.0 to 3.7.3 (no changes
    needed.)
  * debian/copyright: convert encoding from ISO-8859 to UTF-8 Unicode.
  * doc/{source-unpack.txt,debian-manifesto}: now kept in our own SVN (these
    are not published on the Debian website).

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 29 Apr 2008 03:07:23 +0200

doc-debian (4.0) unstable; urgency=low

  * Update to the latest contents of the FAQ in CVS:
    - updates list of supported architectures
    - adjust number of packages/developers/arches
    - describe use of initrd in make-kpkg
    - proper description of Debian package names (Closes: #443472)
    - describe tasksel as well as aptitude in package management
    - say that aptitude is the preferred tool for *console* management
      (Closes: #418455)
    - add a note related to Mozilla rebranding
    - X Window System -> Xorg
    - describe how to install a developer's environment
    - fix location of mirror list
    - init handles runlevels, not the kernel (Closes: #416203)
  * Update to the latest contents of the www pages (bugs and constitution)
    - fix a typo in the constitution (Closes: #367787)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 23 Sep 2007 14:49:22 +0200

=== debian/control ===
Source: doc-debian
Section: doc
Priority: standard
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Uploaders: Pierre Machard <pmachard@debian.org>, Josip Rodin <joy-packages@debian.org>
Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
Standards-Version: 3.7.3
Vcs-Browser: http://svn.debian.org/wsvn/ddp/packages/trunk/doc-debian/
Vcs-Svn: svn://svn.debian.org/ddp/packages/trunk/doc-debian/

Package: doc-debian
Architecture: all
Suggests: www-browser, postscript-viewer
Recommends: debian-faq
Description: Debian Project documentation and other documents
 The Debian Project is an association of individuals who have made
 common cause to create a free operating system.
 .
 In this package, you will find:
   * Debian Linux Manifesto,
   * Constitution for the Debian Project,
   * Debian GNU/Linux Social Contract,
   * Debian Free Software Guidelines.
 .
 Additionally provided are:
   * Debian Bug Tracking System documentation, and
   * Introduction to the Debian mailing lists.
 .
 All of these files are available at ftp://ftp.debian.org/debian/doc/ and
 mirrors thereof.

## doc-debian 4.0.1ubuntu1

=== doc/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 
-LANGUAJE = english
+LANGUAGE = english
 # Adjust this (or create a symlink) to the location of your webml copy (if you have one)
-WEBWML   = ~/debian/www/webwml/$(LANGUAJE)
+WEBWML   = ~/debian/www/webwml/$(LANGUAGE)
 
 FILES= \
 bug-log-access.txt          bug-maint-mailcontrol.txt constitution.1.0.txt   \
@@ -67,6 +67,6 @@
 	cd $(WEBWML)/MailingLists && $(MAKE) mailing-lists.txt
 endif
 
-# Not in Debian's website:
+# Not in Debian's website, therefore kept in our own SVN:
 # source-unpack.txt
 # debian-manifesto

=== debian/changelog ===
doc-debian (4.0.1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
   + debian/rules:
    - Removed extra-files section to allow the upload (binary) to
      the Ubuntu archive. It was rejected due unidentified files
      (byhand) in changes. 
   + debian/control:
    - Added gs-esp as Build-Depends-Indep to fix FTBFS
    - Modified Maintainer value to match the DebianMaintainerField
      specification.
    - Update Standards Version.

 -- Emanuele Gentili <emgent@ubuntu.com>  Fri, 18 Jul 2008 05:26:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: doc-debian
 Section: doc
 Priority: standard
-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
 Uploaders: Pierre Machard <pmachard@debian.org>, Josip Rodin <joy-packages@debian.org>
-Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
-Standards-Version: 3.7.3
+Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra, gs-esp
+Standards-Version: 3.8.0
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/packages/trunk/doc-debian/
 Vcs-Svn: svn://svn.debian.org/ddp/packages/trunk/doc-debian/

## doc-debian 4.0.2

=== doc/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 bug-log-mailserver.txt      bug-reporting.txt         mailing-lists.txt      \
 bug-mailserver-refcard.txt  constitution.txt          social-contract.txt    \
 bug-maint-info.txt          constitution.1.1.txt      social-contract.1.0.txt \
-constitution.1.2.txt        social-contract.1.1.txt
+constitution.1.2.txt        social-contract.txt 	  constitution.1.3.txt
 
 all: $(FILES)
 
@@ -43,6 +43,8 @@
 bug-reporting.wml: $(WEBWML)/Bugs/Reporting.wml
 	cat $<  |grep -v ^# >$@
 constitution.wml: $(WEBWML)/devel/constitution.wml
+	cat $<  | perl -pe 's/<toc-add-entry /<h2><toc-add-entry /; s/toc-add-entry>/toc-add-entry><\/h2>/' | grep -v ^# >$@
+constitution.1.3.wml: $(WEBWML)/devel/constitution.1.3.wml
 	cat $<  |grep -v ^# >$@
 constitution.1.2.wml: $(WEBWML)/devel/constitution.1.2.wml
 	cat $<  |grep -v ^# >$@
@@ -52,11 +54,9 @@
 	cat $<  |grep -v ^# >$@
 mailing-lists.wml:  $(WEBWML)/MailingLists/subscribe.wml
 	cat $<  |grep -v ^# >$@
-social-contract.wml:  $(WEBWML)/social_contract.1.1.wml
+social-contract.wml:  $(WEBWML)/social_contract.wml
 	cat $<  |grep -v ^# >$@
 social-contract.1.0.wml:  $(WEBWML)/social_contract.1.0.wml
-	cat $<  |grep -v ^# >$@
-social-contract.1.1.wml:  $(WEBWML)/social_contract.1.0.wml
 	cat $<  |grep -v ^# >$@
 
 mailing-lists.txt: $(WEBWML)/MailingLists/mailing-lists.txt

=== debian/changelog ===
doc-debian (4.0.2) unstable; urgency=low

  * Fix FTBFS by removing all Build-Depends-Indep dependencies, including
    tetex-bin and tetex-extra dependencies as they are not really needed
    (Closes: #562306)
  * Update the contents of the doc/ subdir with the latest content of
    the website.
        - Include the version 1.3 of the constitution
        - Updated bug-reporting.txt which nows describes
          X-Debbugs-CC (Closes: #298991)
        - Updated bug-maint-mailcontrol.txt which now describes
          the 'unarchive' option (Closes: 489517)
        - Update the constitution version to 1.4 (Closes: #520684, #367787)
  * Fix doc/Makefile so that the social contract file is not overwritten
    with version 1.0 (Closes: #512251)
  * Modify doc/Makefile so that the constitution.wml file is changed 
    by introducing a heading style before the table of content, this way
    the formatting of headings is improved (Closes: #520960)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 11 Jan 2010 21:57:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: doc-debian
 Section: doc
 Priority: standard
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
 Uploaders: Pierre Machard <pmachard@debian.org>, Josip Rodin <joy-packages@debian.org>
-Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra, gs-esp
-Standards-Version: 3.8.0
+Standards-Version: 3.7.3
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/packages/trunk/doc-debian/
 Vcs-Svn: svn://svn.debian.org/ddp/packages/trunk/doc-debian/

=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

tmp = $(CURDIR)/debian/tmp
docdir = $(tmp)/usr/share/doc/debian

build: stamp-build
stamp-build:
	test -f debian/rules
	touch $@

clean:
	test -f debian/rules
	test "`id -u`" -eq 0
	rm -rf $(tmp)
	rm -f stamp-build debian/files `find . -name "*~"`

refresh:
	cd doc && $(MAKE)

binary: binary-indep binary-arch

binary-arch:

binary-indep: build
	test -f debian/rules
	test "`id -u`" -eq 0
	rm -rf $(tmp)

	install -m 755 -d $(tmp)/DEBIAN \
          $(tmp)/usr/share/doc-base $(tmp)/usr/share/doc/doc-debian $(docdir)
# Copy all the contents of doc/
	cp -p doc/* $(docdir)
# Save for the files that are used to auto-generate them
	rm -f $(docdir)/*wml
	rm -f $(docdir)/Makefile

	install -m 755 debian/prerm debian/postinst $(tmp)/DEBIAN
	install -m 644 doc-base/* $(tmp)/usr/share/doc-base
	install -m 644 debian/copyright $(tmp)/usr/share/doc/doc-debian
	gzip -c9 debian/changelog > $(tmp)/usr/share/doc/doc-debian/changelog.gz
	chown -R root.root $(tmp) && chmod -R go=rX $(tmp)
	dpkg-gencontrol -isp
	dpkg --build $(tmp) ..

# The extra-package files:
	cp $(docdir)/constitution.1.2.txt ../constitution.txt
	cp $(docdir)/social-contract.1.1.txt ../social-contract.txt

	dpkg-distaddfile constitution.txt byhand -
	dpkg-distaddfile social-contract.txt byhand -
# Code disabled: There already is a mechanism (which one?)
# synching files over to f.d.o/debian/doc although not exactly the
# same (it retains page footers, which this one doesn't)
#
#      cp $(docdir)/debian-manifesto ../
#      dpkg-distaddfile debian-manifesto byhand -
#      ( cd $(docdir) && ls *.txt) |  \
#          grep -v constitution | \
#          grep -v social-contract | \
#          while read txtfile; do \
#             cp $(docdir)/$$txtfile ../ ; \
#             dpkg-distaddfile $$txtfile byhand - ; \
#            done


.PHONY: build clean binary binary-arch binary-indep

## doc-debian 4.0.2ubuntu1

=== debian/changelog ===
doc-debian (4.0.2ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes: LP: #517978
    + debian/rules:
    - Removed extra-files section to allow the upload (binary) to
      the Ubuntu archive. It was rejected due unidentified files
      (byhand) in changes.
    - Update Standards Version    

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 09 Feb 2010 20:59:06 +0530

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: doc-debian
 Section: doc
 Priority: standard
-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
 Uploaders: Pierre Machard <pmachard@debian.org>, Josip Rodin <joy-packages@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/packages/trunk/doc-debian/
 Vcs-Svn: svn://svn.debian.org/ddp/packages/trunk/doc-debian/

=== debian/rules ===
--- 
+++ 
@@ -43,25 +43,6 @@
 	dpkg-gencontrol -isp
 	dpkg --build $(tmp) ..
 
-# The extra-package files:
-	cp $(docdir)/constitution.1.2.txt ../constitution.txt
-	cp $(docdir)/social-contract.1.1.txt ../social-contract.txt
-
-	dpkg-distaddfile constitution.txt byhand -
-	dpkg-distaddfile social-contract.txt byhand -
-# Code disabled: There already is a mechanism (which one?)
-# synching files over to f.d.o/debian/doc although not exactly the
-# same (it retains page footers, which this one doesn't)
-#
-#      cp $(docdir)/debian-manifesto ../
-#      dpkg-distaddfile debian-manifesto byhand -
-#      ( cd $(docdir) && ls *.txt) |  \
-#          grep -v constitution | \
-#          grep -v social-contract | \
-#          while read txtfile; do \
-#             cp $(docdir)/$$txtfile ../ ; \
-#             dpkg-distaddfile $$txtfile byhand - ; \
-#            done
 
 
 .PHONY: build clean binary binary-arch binary-indep

## doc-debian 6.1

=== doc/Makefile ===
--- 
+++ 
@@ -1,22 +1,39 @@
-
+# Makefile to build the txt and html files for the
+# doc-debian package
 
 LANGUAGE = english
 # Adjust this (or create a symlink) to the location of your webml copy (if you have one)
+# If this directory does not exist the 'update' call will not be able to run, read
+# the README-build file to know how to set it up
 WEBWML   = ~/debian/www/webwml/$(LANGUAGE)
 
-FILES= \
-bug-log-access.txt          bug-maint-mailcontrol.txt constitution.1.0.txt   \
-bug-log-mailserver.txt      bug-reporting.txt         mailing-lists.txt      \
-bug-mailserver-refcard.txt  constitution.txt          social-contract.txt    \
-bug-maint-info.txt          constitution.1.1.txt      social-contract.1.0.txt \
-constitution.1.2.txt        social-contract.txt 	  constitution.1.3.txt
+WMLFILES= \
+bug-log-access.wml          bug-maint-mailcontrol.wml constitution.1.0.wml   \
+bug-log-mailserver.wml      bug-reporting.wml         \
+bug-mailserver-refcard.wml  constitution.wml          social-contract.wml    \
+bug-maint-info.wml          constitution.1.1.wml      social-contract.1.0.wml \
+constitution.1.2.wml        social-contract.wml 	  constitution.1.3.wml
 
-all: $(FILES)
+# These are the automatic files we can generate:
+TXTFILES = $(subst .wml,.txt,$(WMLFILES))
+HTMLFILES = $(subst .wml,.html,$(WMLFILES))
+GENERATED_FILES = $(TXTFILES) $(HTMLFILES)
+# Mailing lists does not have an associated wml file, so we add it separately
+# to keep GENERATED_FILES to be just those that are built with the Makefile
+TXTFILES += mailing-lists.txt
+
+all: $(TXTFILES)
+
+wml: $(WMLFILES)
+
+update: 
+	 @$(MAKE) wml
 
 clean:
-	-rm -f $(FILES) *.html 
+	-rm -f $(GENERATED_FILES)
+
 realclean: clean
-	-rm -f *.wml
+	-rm -f $(WMLFILES)
 
 %.html: %.wml
 	wml -q $< >$@
@@ -62,9 +79,12 @@
 mailing-lists.txt: $(WEBWML)/MailingLists/mailing-lists.txt
 	cp $< $@
 
-## the Makfile in $(WEBWML)/MailingLists needs internet access!
+## the Makefile in $(WEBWML)/MailingLists needs internet access!
 $(WEBWML)/MailingLists/mailing-lists.txt:
 	cd $(WEBWML)/MailingLists && $(MAKE) mailing-lists.txt
+else
+%.wml:
+	@echo "ERROR: Cannot find $(WEBWML) to regenerate the sources. Please read the TODO."
 endif
 
 # Not in Debian's website, therefore kept in our own SVN:

=== debian/changelog ===
doc-debian (6.1) unstable; urgency=low

  * Update the contents to the latest available at the website 
  * Simplify debian/rules using CDBS 
     - Use standard build process. This build now ensures that we provide 
       a md5sums file (Closes: #672319)
     - Text files are now compressed
     - Some Lintian bugs now go away
  * debian/control: Add provided Build-Depends
  * Include the wml sources in the package to make it easier to build the
    sources when a copy of the website is not available (Closes: #690791)
  * debian/control: Updated Standards version, no changes needed.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 17 Oct 2012 23:25:00 +0200

doc-debian (6.0) unstable; urgency=low

  * Update the contents to the latest available at the website 
  * Remove Pierre Machard as Uploader (Closes: 576557)
  * doc/source-unpack.txt:  Apply patch provided by Colin Watson to improve
    the document.  This patch documents all formats currently in use in the
    Debian archive. (Closes: #579263)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 14 Apr 2012 12:08:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: doc-debian
 Section: doc
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
-Uploaders: Pierre Machard <pmachard@debian.org>, Josip Rodin <joy-packages@debian.org>
-Standards-Version: 3.8.0
+Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
+Uploaders: Josip Rodin <joy-packages@debian.org>
+Standards-Version: 3.9.3
+Build-Depends-Indep: debhelper (>= 8.0.0), cdbs, wml, lynx
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/packages/trunk/doc-debian/
 Vcs-Svn: svn://svn.debian.org/ddp/packages/trunk/doc-debian/

=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

# Set this to enable debugging
export DH_VERBOSE = 1

include /usr/share/cdbs/1/rules/debhelper.mk

build/doc-debian::
	cd doc && $(MAKE)

clean::
	cd doc && $(MAKE) clean

get-orig-source::
	cd doc && $(MAKE) update

#install::
# TODO - move the files 
#	cp $(docdir)/constitution.1.3.txt ../constitution.txt
#	cp $(docdir)/social-contract.txt ../social-contract.txt

binary-indep/doc-debian::
	dpkg-distaddfile constitution.txt byhand -
	dpkg-distaddfile social-contract.txt byhand -
# Code disabled: There already is a mechanism (which one?)
# synching files over to f.d.o/debian/doc although not exactly the
# same (it retains page footers, which this one doesn't)
#
#      cp $(docdir)/debian-manifesto ../
#      dpkg-distaddfile debian-manifesto byhand -
#      ( cd $(docdir) && ls *.txt) |  \
#          grep -v constitution | \
#          grep -v social-contract | \
#          while read txtfile; do \
#             cp $(docdir)/$$txtfile ../ ; \
#             dpkg-distaddfile $$txtfile byhand - ; \
#            done

## doc-debian 6.1ubuntu1

=== doc/Makefile ===
--- 
+++ 
@@ -20,7 +20,6 @@
 GENERATED_FILES = $(TXTFILES) $(HTMLFILES)
 # Mailing lists does not have an associated wml file, so we add it separately
 # to keep GENERATED_FILES to be just those that are built with the Makefile
-TXTFILES += mailing-lists.txt
 
 all: $(TXTFILES)

=== debian/changelog ===
doc-debian (6.1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. (LP: #1086940) Remaining changes:
    - /doc mailing-lists.txt added
    - /doc/Makefile edited to build regardless mailing-lists.wml existence

 -- Alessandro Losavio <alessandro.losavio@yahoo.com>  Fri, 07 Dec 2012 11:24:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: doc-debian
 Section: doc
 Priority: standard
-Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
 Uploaders: Josip Rodin <joy-packages@debian.org>
 Standards-Version: 3.9.3
 Build-Depends-Indep: debhelper (>= 8.0.0), cdbs, wml, lynx

=== debian/rules ===
--- 
+++ 
@@ -36,5 +36,3 @@
 #             cp $(docdir)/$$txtfile ../ ; \
 #             dpkg-distaddfile $$txtfile byhand - ; \
 #            done
-
-

## doc-debian 6.1.5.201403201032

=== debian/changelog ===
doc-debian (6.1.5.201403201032) ucs4-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    fix-ftbfs

 -- Univention builddaemon <buildd@univention.de>  Thu, 20 Mar 2014 10:32:53 +0100

## doc-debian 6.2

=== doc/Makefile ===
--- 
+++ 
@@ -20,22 +20,23 @@
 GENERATED_FILES = $(TXTFILES) $(HTMLFILES)
 # Mailing lists does not have an associated wml file, so we add it separately
 # to keep GENERATED_FILES to be just those that are built with the Makefile
+# TXTFILES += mailing-lists.txt
 
 all: $(TXTFILES)
 
 wml: $(WMLFILES)
 
-update: 
-	 @$(MAKE) wml
+update:
+	 @$(MAKE) wml mailing-lists.txt
 
 clean:
 	-rm -f $(GENERATED_FILES)
 
 realclean: clean
-	-rm -f $(WMLFILES)
+	-rm -f $(WMLFILES) mailing-lists.txt bug-pkgreport-opts.inc
 
-%.html: %.wml
-	wml -q $< >$@
+%.html: %.wml bug-pkgreport-opts.inc
+	wml -i bug-pkgreport-opts.inc -q $< >$@
 
 %.txt: %.html
 	lynx -dump -nolist $< >$@
@@ -50,10 +51,12 @@
 	cat $<  |grep -v ^# >$@
 bug-log-mailserver.wml: $(WEBWML)/Bugs/server-request.wml
 	cat $<  |grep -v ^# >$@
-bug-mailserver-refcard.wml: $(WEBWML)/Bugs/server-refcard.wml
+bug-mailserver-refcard.wml: $(WEBWML)/Bugs/server-refcard.wml bug-pkgreport-opts.inc
 	cat $<  |grep -v ^# >$@
 bug-maint-info.wml: $(WEBWML)/Bugs/Developer.wml
 	cat $<  |grep -v ^# >$@
+bug-pkgreport-opts.inc: $(WEBWML)/Bugs/pkgreport-opts.inc
+	sed -ne '/<define-tag bts_severities>/,/<\/define-tag>/p' -e '/<define-tag bts_tags>/,/<\/define-tag>/p' $< >$@
 bug-maint-mailcontrol.wml: $(WEBWML)/Bugs/server-control.wml
 	cat $<  |grep -v ^# >$@
 bug-reporting.wml: $(WEBWML)/Bugs/Reporting.wml

=== debian/changelog ===
doc-debian (6.2) unstable; urgency=medium

  * Team upload
  * Move README.build to debian/README.source
  * Add mailing-lists.txt to source (Closes: #713501)
  * Update the contents to the latest available at the website:
    - the whole content is now in UTF-8 as the website (Closes: #737120)
  * Restore list of tags and severities (Closes: #711248)
  * Update Vcs-* fields 
  * Drop useless GNU/Linux from description
  * Use dh 9 short rules instead of CDBS
  * Use format 3.0 (quilt)
  * Bump standards version to 3.9.5

 -- David Prévot <taffit@debian.org>  Thu, 28 Aug 2014 23:19:42 -0400

## doc-debian 6.3

=== doc/Makefile ===
--- 
+++ 
@@ -12,7 +12,8 @@
 bug-log-mailserver.wml      bug-reporting.wml         \
 bug-mailserver-refcard.wml  constitution.wml          social-contract.wml    \
 bug-maint-info.wml          constitution.1.1.wml      social-contract.1.0.wml \
-constitution.1.2.wml        social-contract.wml 	  constitution.1.3.wml
+constitution.1.2.wml        social-contract.wml 	  constitution.1.3.wml \
+constitution.1.4.wml
 
 # These are the automatic files we can generate:
 TXTFILES = $(subst .wml,.txt,$(WMLFILES))

=== debian/changelog ===
doc-debian (6.3) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * Update the Constitution to version 1.5, as per "General Resolution:
    Limiting the term of the technical committee members",
    https://www.debian.org/vote/2014/vote_004 (Closes: #777350)
  [ Javier Fernández-Sanguino ]
  * doc/bug-maint-info.wml, doc/bug-reporting.wml: Update with latest
    content from web pages.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 18 Feb 2015 05:03:13 +0100

=== debian/control ===
Source: doc-debian
Section: doc
Priority: standard
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>
Standards-Version: 3.9.5
Build-Depends-Indep: debhelper (>= 9), lynx, wml
Vcs-Browser: http://anonscm.debian.org/viewvc/ddp/packages/trunk/doc-debian/
Vcs-Svn: svn://anonscm.debian.org/ddp/packages/trunk/doc-debian/

Package: doc-debian
Architecture: all
Depends: ${misc:Depends}
Suggests: postscript-viewer, www-browser
Recommends: debian-faq
Description: Debian Project documentation and other documents
 The Debian Project is an association of individuals who have made
 common cause to create a free operating system.
 .
 In this package, you will find:
   * Debian Linux Manifesto,
   * Constitution for the Debian Project,
   * Debian Social Contract,
   * Debian Free Software Guidelines.
 .
 Additionally provided are:
   * Debian Bug Tracking System documentation, and
   * Introduction to the Debian mailing lists.
 .
 All of these files are available at ftp://ftp.debian.org/debian/doc/ and
 mirrors thereof.
